Description

It would be quite handy to have native syslog capability, this would help with things like keeping track of instance creations, time
taken for said creations, etc. This is currently doable but it's a lot of work since it means forwarding and parsing the production.log
file, and this file isn't very "syslog-y" in it's formatting.

This is no major issue or anything, but a nice to have thing.

Related issues:

Related to Foreman - Feature #10487: As a developer, | should be able to defi... Closed 05/12/2015
Related to Foreman - Tracker #8360: Full journald support Duplicate 11/12/2014
Related to Foreman - Feature #13702: Configure Foreman with syslog by default Duplicate 02/15/2016
History

#1 - 08/12/2014 03:28 AM - Dominic Cleal

- Category set to Rails

Using_Syslog_with_Foreman is Johan's page on configuring rsyslog to read production.log, as noted above.

#2 - 05/12/2015 06:34 PM - Jon McKenzie

If this capability were developed, would it be included with Foreman or be pushed into a plugin (can a Rails engine reconfigure global logging?)?

| have a syslog implementation working on our dev Foreman using the syslogger gem and it seems to work ok. | see #10487 is attempting to address
this as well, so not sure if | should pursue it. My change is pretty minimal, just two new settings syslog and syslog_facility.

#3 - 05/13/2015 02:23 AM - Marek Hulan

Syslogger gem looks good in term of dependencies but seems quite basic. To implement #10487 you mention | think another gem called logging
would be better fit. It also supports syslog (as one of appender). So | suppose if you used logging instead, | think it would be welcome and merged
into core.

#4 - 05/13/2015 02:34 AM - Ohad Levy

- Related to Feature #10487: As a developer, | should be able to define custom loggers and control them via settings added

#5 - 05/13/2015 02:35 AM - Marek Hulan

Actually, | missed that the #10487 is already ready for testing, so | think you can just wait a bit longer, until it gets in. It should allow you to customize
log outputs to use syslog.

#6 - 06/04/2015 07:41 AM - Dominic Cleal
- Related to Tracker #8360: Full journald support added

#7 - 06/04/2015 07:42 AM - Dominic Cleal

#10487's merged and should be in nightlies soon. You can reconfigure /etc/foreman/logging.yaml to enable syslog output, but | don't know that the
output is in a particularly syslog-esque style. We could take improvements to the examples in logging.yaml perhaps for formatting and setting the
facility.
https://projects.theforeman.org/projects/foreman/wiki/Using_Syslog_with_Foreman
https://projects.theforeman.org/issues/10487
https://projects.theforeman.org/issues/10487
https://github.com/TwP/logging
https://projects.theforeman.org/issues/10487

#8 - 02/15/2016 04:34 AM - Lukas Zapletal
- Related to Feature #13702: Configure Foreman with syslog by default added

#9 - 03/29/2018 01:47 PM - Lukas Zapletal

- Status changed from New to Duplicate

We added both syslog and journad in Foreman core, now there is discussion to enable it by default by the installer. See #22559.
https://projects.theforeman.org/issues/22559
http://www.tcpdf.org

